Subject: Re: [PATCH] CS4270 node is misplaced in the MPC8610 device tree

From: Timur Tabi <[email-masked]>
Date: Mon, 19 May 2008 13:20:32 -0500

Timur Tabi wrote:
> The CS4270 is using the second I2C bus, not the first, on the Freescale
> MPC8610 HPCD, so its node in the device tree belongs under 'i2c@3100'
> and not 'i2c@3000'.
> 
> Signed-off-by: Timur Tabi <[email-masked]>

Please disregard this patch.  It turns out that that both I2C controllers are
connected to the same bus, so it technically doesn't matter which node a device
is a child of.  However, tests show that sometimes one parent works, and
sometimes the other parent works.

-- 
Timur Tabi
Linux kernel developer at Freescale